tigase.jaxmpp.core.client.connector

## Class WebSocketXmppSessionLogic

- java.lang.Object
- - tigase.jaxmpp.core.client.connector.AbstractSocketXmppSessionLogic<AbstractWebSocketConnector>
  - - tigase.jaxmpp.core.client.connector.WebSocketXmppSessionLogic

- All Implemented Interfaces:
    EventHandler, StreamManagementModule.StreamManagementFailedHandler, StreamManagementModule.StreamResumedHandler, XmppSessionLogic

      public class WebSocketXmppSessionLogic
      extends AbstractSocketXmppSessionLogic<AbstractWebSocketConnector>

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface tigase.jaxmpp.core.client.XmppSessionLogic

      `XmppSessionLogic.SessionListener, XmppSessionLogic.XmppSessionEstablishedHandler`

    - ### Nested classes/interfaces inherited from interface tigase.jaxmpp.core.client.xmpp.modules.streammng.StreamManagementModule.StreamManagementFailedHandler

      `StreamManagementModule.StreamManagementFailedHandler.StreamManagementFailedEvent`

    - ### Nested classes/interfaces inherited from interface tigase.jaxmpp.core.client.xmpp.modules.streammng.StreamManagementModule.StreamResumedHandler

      `StreamManagementModule.StreamResumedHandler.StreamResumedEvent`

  - ### Field Summary

    - ### Fields inherited from class tigase.jaxmpp.core.client.connector.AbstractSocketXmppSessionLogic

      `connector, context`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `WebSocketXmppSessionLogic(AbstractWebSocketConnector connector, XmppModulesManager modulesManager, Context context)`

  - ### Method Summary

    - ### Methods inherited from class tigase.jaxmpp.core.client.connector.AbstractSocketXmppSessionLogic

      `beforeStart, onStreamManagementFailed, onStreamResumed, processAuthFailed, processAuthSuccess, processConnectorErrors, processException, processResourceBindEvent, processStreamFeatures, setSessionListener, unbind`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### WebSocketXmppSessionLogic

          public WebSocketXmppSessionLogic(AbstractWebSocketConnector connector,
                                           XmppModulesManager modulesManager,
                                           Context context)

Copyright © 2006–2023 Tigase. All rights reserved.